package com.miaxis.app.test.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;
/**
 * 测试表对象 test_table
 *
 * @author miaxis
 * @date 2020-12-22
 */
@Data
@TableName("test_table")
@ApiModel(value = "TestTable", description = "测试表对象 test_table")
public class TestTable extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /**  我是id */
    @TableId(value = "id")
    @ApiModelProperty(value = " 我是id")
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    @TableField("name")
    @ApiModelProperty(value = "名称")
    private String name;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getName(){
        return name;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
