package com.miaxis.app.test.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.app.test.domain.TestTable;

/**
 * 测试表Mapper接口
 *
 * @author miaxis
 * @date 2020-12-22
 */
public interface TestTableMapper extends BaseMapper<TestTable> {
    /**
     * 查询测试表1
     *
     * @param id 测试表ID
     * @return 测试表
     */
    public TestTable selectTestTableById(Long id);

    /**
     * 查询测试表列表
     *
     * @param testTable 测试表
     * @return 测试表集合
     */
    public List<TestTable> selectTestTableList(TestTable testTable);

    /**
     * 新增测试表
     *
     * @param testTable 测试表
     * @return 结果
     */
    public int insertTestTable(TestTable testTable);

    /**
     * 修改测试表
     *
     * @param testTable 测试表
     * @return 结果
     */
    public int updateTestTable(TestTable testTable);

    /**
     * 删除测试表
     *
     * @param id 测试表ID
     * @return 结果
     */
    public int deleteTestTableById(Long id);

    /**
     * 批量删除测试表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTestTableByIds(Long[] ids);
}
