package com.miaxis.app.test.service;

import java.util.List;
import com.miaxis.app.test.domain.TestTable;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 测试表Service接口
 * 
 * @author miaxis
 * @date 2020-12-22
 */
public interface ITestTableService extends IService<TestTable>{
    /**
     * 查询测试表
     * 
     * @param id 测试表ID
     * @return 测试表
     */
    public TestTable selectTestTableById(Long id);

    /**
     * 查询测试表列表
     * 
     * @param testTable 测试表
     * @return 测试表集合
     */
    public List<TestTable> selectTestTableList(TestTable testTable);

    /**
     * 新增测试表
     * 
     * @param testTable 测试表
     * @return 结果
     */
    public int insertTestTable(TestTable testTable);

    /**
     * 修改测试表
     * 
     * @param testTable 测试表
     * @return 结果
     */
    public int updateTestTable(TestTable testTable);

    /**
     * 批量删除测试表
     * 
     * @param ids 需要删除的测试表ID
     * @return 结果
     */
    public int deleteTestTableByIds(Long[] ids);

    /**
     * 删除测试表信息
     * 
     * @param id 测试表ID
     * @return 结果
     */
    public int deleteTestTableById(Long id);
}
